let url_Backend_dwinzo = `http://${process.env.REACT_APP_SERVER_REST_API_BASE_URL}`;
// let url_Backend_dwinzo = `http://192.168.0.102:5000`;

export const shareAccess = async (
  projectId: string,
  targetUserId: string,
  newAccessPoint: string
) => {
  const body: any = {
    projectId,
    targetUserId,
    newAccessPoint,
  };

  try {
    const response = await fetch(
      `${url_Backend_dwinzo}/api/V1/sharedAccespoint`,
      {
        method: "PATCH",
        headers: {
          Authorization: "Bearer <access_token>",
          "Content-Type": "application/json",
          token: localStorage.getItem("token") || "",
          refresh_token: localStorage.getItem("refreshToken") || "",
        },
        body: JSON.stringify(body),
      }
    );
    const newAccessToken = response.headers.get("x-access-token");
    if (newAccessToken) {
      //console.log("New token received:", newAccessToken);
      localStorage.setItem("token", newAccessToken);
    }

    if (!response.ok) {
      console.error("Failed to clearPanel in the zone");
    }

    const result = await response.json();
    return result;
  } catch (error) {
    if (error instanceof Error) {
      console.error(error.message);
    } else {
      console.error("An unknown error occurred");
    }
  }
};
